Billing & Usage History
All operations require authentication.
List allowed credit thresholdsProduction
List allowed credit thresholds. Returns the credit thresholds allowed for the billing account. Use one of them to update the billing account.
Path parameters
The name of your billingAccount
Response
AUDCADCZKEURGBPINRLTLMADN/APLNSGDTNDUSDXOFpointsExample uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ allowedCreditThreshold \
-H "authorization: Bearer $OVH_TOKEN"[ { "currencyCode": "AUD", "text": "string", "value": 0 }]
List security deposit amountsProduction
List security deposit amounts. Returns the security deposit amounts that can be ordered for the billing account, as prices.
Path parameters
The name of your billingAccount
Response
AUDCADCZKEURGBPINRLTLMADN/APLNSGDTNDUSDXOFpointsExample uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ amountSecurityDeposit \
-H "authorization: Bearer $OVH_TOKEN"[ { "currencyCode": "AUD", "text": "string", "value": 0 }]
Check a security deposit transferProduction
Check a security deposit transfer. Checks whether the security deposit can be transferred to another billing account, given by its name.
Path parameters
The name of your billingAccount
Request body (required)
The destination billing account
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ canTransferSecurityDeposit \
-H "authorization: Bearer $OVH_TOKEN"true
List billed consumptionsProduction
List billed consumptions. Returns the dates of the billed consumptions. Get a billed consumption for its price, out-of-plan price and status.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyConsumption \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01"]
Get a billed consumptionProduction
Get a billed consumption. Returns the billed consumption: date, price, out-of-plan price and status of the bill.
Path parameters
The name of your billingAccount
Response
Price with it's currency and textual representation
Price with it's currency and textual representation
Billing progress status
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyConsumption/ {date} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "priceOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}
Get billed consumption filesProduction
Get billed consumption files. Returns a file of the billed consumption to download, in received.csv, csv, pdf or xml format.
Path parameters
The name of your billingAccount
Query parameters
Document suffix
csvpdfreceived.csvxmlResponse
File providing task status
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyConsumption/ {date}/ file \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
List repayment billsProduction
List repayment bills. Returns the dates of the repayment bills. Get a repayment bill for its amount, bill number and status.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyRepaymentConsumption \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01"]
Get a repayment billProduction
Get a repayment bill. Returns the repayment bill: date, amount repaid, bill number and status of the repayment.
Path parameters
The name of your billingAccount
date of the bill
Response
the number of the bill
date of the bill
the amout which is repayed
status of the bill
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyRepaymentConsumption/ {date} \
-H "authorization: Bearer $OVH_TOKEN"{ "billingNumber": "string", "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}
Request a repaymentProduction
Request a repayment. Requests a repayment for the repayable calls, with the number of the bill. Returns the repayment bill.
Path parameters
The name of your billingAccount
Request body (required)
The number of the bill
Response
the number of the bill
date of the bill
the amout which is repayed
status of the bill
doingdoneerrortodoExample uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyRepaymentConsumption \
-H "authorization: Bearer $OVH_TOKEN"{ "billingNumber": "string", "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}
Get the bill as CSVProduction
Get the bill as CSV. Returns a file to download the repayment bill as a CSV document, with its URL and expiration date.
Path parameters
The name of your billingAccount
date of the bill
Response
File providing task status
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyRepaymentConsumption/ {date}/ document \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
List toll-free billsProduction
List toll-free bills. Returns the dates of the toll-free bills. Get a toll-free bill for the amount paid by the called number.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyTollfreeConsumption \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01"]
Get a toll-free billProduction
Get a toll-free bill. Returns the toll-free bill: date, amount paid by the called number, and status of the bill.
Path parameters
The name of your billingAccount
date of the bill
Response
date of the bill
the amount which is paid by the called number
status of the bill
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyTollfreeConsumption/ {date} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}
Get the bill as CSVProduction
Get the bill as CSV. Returns a file to download the toll-free bill as a CSV document, with its URL and expiration date.
Path parameters
The name of your billingAccount
date of the bill
Response
File providing task status
doingdoneerrortodoExample uses billingAccount = string, date = 2024-01-01
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ historyTollfreeConsumption/ {date}/ document \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
List out-of-plan alertsProduction
List out-of-plan alerts. Returns the identifiers of the out-of-plan alerts. An alert notifies when out-of-plan consumption reaches a threshold.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ outplanNotification \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an out-of-plan alertProduction
Get an out-of-plan alert. Returns the out-of-plan alert: percentage of the maximum out-of-plan, block applied to the lines and notification email.
Path parameters
The name of your billingAccount
Id of the object
Response
The blocking type of the associate lines
blockAllCallsblockIncomingCallsblockOutgoingCallsnoneThe id of the notification
Override the nichandle email for this notification
The notification percentage of maximum outplan
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ outplanNotification/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "block": "blockAllCalls", "id": 0, "notifyEmail": "string", "percentage": 0}
Create an out-of-plan alertProduction
Create an out-of-plan alert. Creates an alert at a percentage of the maximum out-of-plan, with a block (none, incoming, outgoing or all calls) and an optional email.
Path parameters
The name of your billingAccount
Request body (required)
The blocking type of the associate lines
blockAllCallsblockIncomingCallsblockOutgoingCallsnoneOverride the nichandle email for this notification
The notification percentage of maximum outplan
Response
The blocking type of the associate lines
blockAllCallsblockIncomingCallsblockOutgoingCallsnoneThe id of the notification
Override the nichandle email for this notification
The notification percentage of maximum outplan
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ outplanNotification \
-H "authorization: Bearer $OVH_TOKEN"{ "block": "blockAllCalls", "id": 0, "notifyEmail": "string", "percentage": 0}
Delete an out-of-plan alertProduction
Delete an out-of-plan alert. Deletes the out-of-plan alert. No notification or block is applied any more when its threshold is reached.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ outplanNotification/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Transfer the security depositProduction
Transfer the security deposit. Transfers an amount of the security deposit, in euros, to another billing account given by its name.
Path parameters
The name of your billingAccount
Request body (required)
The amount, in euros, you want to transfer
The destination billing account
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ transferSecurityDeposit \
-H "authorization: Bearer $OVH_TOKEN"